Index: ipk/source/bootlogos_fireskull_0_1/CONTROL/postinst
===================================================================
--- ipk/source/bootlogos_fireskull_0_1/CONTROL/postinst	(revision 8579)
+++ ipk/source/bootlogos_fireskull_0_1/CONTROL/postinst	(revision 10345)
@@ -1,9 +1,4 @@
 #!/bin/sh
 TMP=/tmp/.bootlogos
-
-
-echo "rename /var/boot/bootlogo.jpg -> /var/etc/boot/original.jpg"
-mv /var/etc/boot/bootlogo.jpg /var/etc/boot/original.jpg
-
 
 echo "successful installed"
Index: ipk/source/bootlogos_fireskull_0_1/CONTROL/preinst
===================================================================
--- ipk/source/bootlogos_fireskull_0_1/CONTROL/preinst	(revision 8579)
+++ ipk/source/bootlogos_fireskull_0_1/CONTROL/preinst	(revision 10345)
@@ -6,15 +6,15 @@
 
 model=`cat /etc/model`
-	echo""
-	echo "Checking your Boxtype...."
-	echo "Some Plugins will not work correctly on your $model!"
-	echo ""
-	if [ "$model" = "" ]; then
-		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
-		echo "Aborting installation..."
-		exit 1
-	else
-		echo "$model OK"
-	fi
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
@@ -32,4 +32,8 @@
 	fi
 fi   
+
+echo "rename /var/etc/boot/bootlogo.jpg -> /var/etc/boot/original.jpg"
+mv /var/etc/boot/bootlogo.jpg /var/etc/boot/original.jpg
+
 echo "installing bootlogo ..."
 echo "checking OS"
